fop 1.1

## org.apache.fop.fo.properties
Class StringProperty

    java.lang.Object
      org.apache.fop.fo.properties.Property
          org.apache.fop.fo.properties.StringProperty

    public final class StringProperty

extends Property

Exists primarily as a container for its Maker inner class, which is extended by many string-based FO property classes.

Nested Class Summary
`static class` `StringProperty.Maker` Inner class for making instances of StringProperty

Field Summary
`static StringProperty` `EMPTY_STRING_PROPERTY` canonical instance for empty strings

Fields inherited from class org.apache.fop.fo.properties.Property
`log`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`static StringProperty` `getInstance(java.lang.String str)` Return the canonical StringProperty instance corresponding to the given string value
`java.lang.Object` `getObject()` This method expects to be overridden by subclasses
`java.lang.String` `getString()` This method expects to be overridden by subclasses.
`int` `hashCode()`

Methods inherited from class org.apache.fop.fo.properties.Property
`getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getList, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, isAuto, setSpecifiedValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_STRING_PROPERTY

    public static final StringProperty EMPTY_STRING_PROPERTY

  canonical instance for empty strings

Method Detail

### getInstance

    public static StringProperty getInstance(java.lang.String str)

  Return the canonical StringProperty instance corresponding to the given string value

  Parameters:
    `str` - the base String
  Returns:
    the canonical instance

### getObject

    public java.lang.Object getObject()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses

  Overrides:
    `getObject` in class `Property`
  Returns:
    the Object equivalent of this property

### getString

    public java.lang.String getString()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses.

  Overrides:
    `getString` in class `Property`
  Returns:
    the String equivalent of this property

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.